- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.ListIntegrationJobRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.jobs.revisions.list

Lists all historical revisions for a specific background job. Use this method to browse the version history and identify previous configurations of a recurring job.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/revisions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list IntegrationJobRevisions for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job}/revisions/{revision} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of IntegrationJobRevisions to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `revisions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `revisions.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to filter the list of job revisions. |
| `orderBy` | `string` Optional. A field that can be used to sort the list of job revisions. |

### Request body

The request body must be empty.

### Response body

ListIntegrationJobRevisionsResponse contains the list of the specific job's IntegrationJobRevisions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "revisions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions#IntegrationJobRevision`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `revisions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs.revisions#IntegrationJobRevision`)`` The list of IntegrationJobRevisions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. Total number of revisions for the job. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.jobRevisions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).